View Issue Details

IDProjectCategoryView StatusLast Update
0001666NoesisGUIUnity3Dpublic2020-05-01 03:22
ReporterstonstadAssigned Tojsantos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0 
Target Version3.0.0Fixed in Version3.0.0 
Summary0001666: PPAA Behavior
DescriptionI do not know if this is expected behavior. I do not know if it is broken or there is a setting somewhere to address this.

I have UIs with horizontal dividers created from Rectangles.

A.png. Two rectangle dividers with height=1. PPAA Off.
B.png. Two rectangle dividers with height=1. PPAA On.

A shows one divider.
B shows two dividers but one is larger than the other.

The XAML for A and B is the same. If I change to rectangle height=2, B is larger than A.

The Unity game view is unscaled at 1x. How is consistency in appearance attained?
TagsNo tags attached.
PlatformAny

Activities

stonstad

stonstad

2020-04-24 21:01

reporter  

A.png (288,311 bytes)
B.png (286,081 bytes)
jsantos

jsantos

2020-04-27 12:35

manager   ~0006279

PPAA can be manually adjusted (or even disabled) per element

https://www.noesisengine.com/docs/3.0/Gui.Core.AntialiasingTutorial.html

I think for that case you need to disable it.

We slightly change the default values in NoesisGUI 3.0
stonstad

stonstad

2020-04-27 16:42

reporter   ~0006281

That's very cool. Keeping it "on" at the top-level and disabling it for these 1px elements achieves the look I was hoping for. You guys rock.

In the docs it says, "Noesis Views always display content in the active render target. Just binding a render target with MSAA enabled will render the UI with antialiasing enabled." FYI, in Unity 2019.x the MSAA checkbox is removed for the standard pipeline. How does one turn on MSAA w/ Noesis?
stonstad

stonstad

2020-04-27 16:44

reporter   ~0006282

I'm good with closing this issue. Thank you for the helpful response.
stonstad

stonstad

2020-04-27 17:42

reporter   ~0006285

... noesis:Element.PPAAIn="1" noesis:Element.PPAAOut="1"

Separate question, re: PPAAIN/OUT. Should we be able to set this in code? I upgraded to b9 -- I can't seem to find where this is exposed for code.
sfernandez

sfernandez

2020-04-28 10:31

manager   ~0006290

I updated C# proxies to expose PPAA In/Out properties (in FrameworkElement) so you can modify them in code.
stonstad

stonstad

2020-04-28 17:08

reporter   ~0006292

Sounds good, I'll look for it in a subsequent release. Thank you!

Issue History

Date Modified Username Field Change
2020-04-24 21:01 stonstad New Issue
2020-04-24 21:01 stonstad File Added: A.png
2020-04-24 21:01 stonstad File Added: B.png
2020-04-27 12:35 jsantos Note Added: 0006279
2020-04-27 12:35 jsantos Assigned To => jsantos
2020-04-27 12:35 jsantos Status new => feedback
2020-04-27 16:42 stonstad Note Added: 0006281
2020-04-27 16:42 stonstad Status feedback => assigned
2020-04-27 16:44 stonstad Note Added: 0006282
2020-04-27 17:42 stonstad Note Added: 0006285
2020-04-28 10:31 sfernandez Note Added: 0006290
2020-04-28 17:08 stonstad Note Added: 0006292
2020-05-01 03:22 jsantos Target Version => 3.0.0
2020-05-01 03:22 jsantos Description Updated View Revisions
2020-05-01 03:22 jsantos Status assigned => resolved
2020-05-01 03:22 jsantos Resolution open => fixed
2020-05-01 03:22 jsantos Fixed in Version => 3.0.0